Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Static Public Member Functions | Public Attributes | List of all members
ezpOauthErrorType Class Reference

## Static Public Member Functions
static | httpCodeforError ( $error)

## Public Attributes
const | INVALID_REQUEST = 'invalid_request'
const | INVALID_TOKEN = 'invalid_token'
const | EXPIRED_TOKEN = 'expired_token'
const | INSUFFICIENT_SCOPE = 'insufficient_scope'

## Detailed Description

Definition at line 12 of file outh_error_type.php.

## Member Function Documentation

## ◆ httpCodeforError()

static ezpOauthErrorType::httpCodeforError | ( |  | $error | ) |
| static

Definition at line 19 of file outh_error_type.php.

References $error, ezpHttpResponseCodes\BAD_REQUEST, EXPIRED_TOKEN, ezpHttpResponseCodes\FORBIDDEN, INSUFFICIENT_SCOPE, INVALID_REQUEST, INVALID_TOKEN, ezpHttpResponseCodes\SERVER_ERROR, and ezpHttpResponseCodes\UNAUTHORIZED.

Referenced by ezpOauthRequired\process().

## Member Data Documentation

## ◆ EXPIRED_TOKEN

const ezpOauthErrorType::EXPIRED_TOKEN = 'expired_token'

Definition at line 16 of file outh_error_type.php.

Referenced by ezpOauthExpiredTokenException\__construct(), ezpRestAuthController\doOauthRequired(), and httpCodeforError().

## ◆ INSUFFICIENT_SCOPE

const ezpOauthErrorType::INSUFFICIENT_SCOPE = 'insufficient_scope'

Definition at line 17 of file outh_error_type.php.

Referenced by ezpOauthInsufficientScopeException\__construct(), ezpRestAuthController\doOauthRequired(), and httpCodeforError().

## ◆ INVALID_REQUEST

const ezpOauthErrorType::INVALID_REQUEST = 'invalid_request'

Definition at line 14 of file outh_error_type.php.

Referenced by ezpOauthInvalidRequestException\__construct(), ezpRestAuthController\doOauthRequired(), and httpCodeforError().

## ◆ INVALID_TOKEN

const ezpOauthErrorType::INVALID_TOKEN = 'invalid_token'

Definition at line 15 of file outh_error_type.php.

Referenced by ezpOauthInvalidTokenException\__construct(), ezpRestAuthController\doOauthRequired(), and httpCodeforError().

The documentation for this class was generated from the following file:

- outh_error_type.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.